<script setup lang="ts">
import type { Stock } from '@/types/Stock'
import { ref } from 'vue';

const propsStock= defineProps<{
    sItem:Stock
}>()
const emit = defineEmits<{
    selectedSitem:[Stock] // selectedProduct(Product p)
}>()
const selected = function(){
    console.log('StockItemCard: '+propsStock.sItem);
    emit('selectedSitem',propsStock.sItem)
}
const sheetBackgroundColor = ref('#FFFFEC')
const changeBackgroundColor =(isMouseOver:any) =>{
    sheetBackgroundColor.value = isMouseOver? '#yourNewColor' : '#FFFFEC';

}

</script>
<template>
    <v-sheet width="560" height="50" elevation="2"  @click="selected" style="background-color: #ece3da;"
    @mouseover="changeBackgroundColor(true)"
    @mouseleave="changeBackgroundColor(false)"
    :style="{backgroundColor: sheetBackgroundColor}"
    >
    <div style="text-align: center; font-size: 20px; " >{{ sItem.name}} </div><br>
    </v-sheet>
</template>
